package com.xzzn.ems.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * 电表-总表数据
 */
public class AmmeterMeteDataVo {

    /** 电表名称 */
    private String deviceName;
    /** 设备id */
    private String deviceId;
    /** 通信状态 */
    private String emsCommunicationStatus;

    /** 数据更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataUpdateTime;

    /** 储能表数据信息 */
    private List<MeteDataDetailInfo> meteDataDetailInfo;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getEmsCommunicationStatus() {
        return emsCommunicationStatus;
    }

    public void setEmsCommunicationStatus(String emsCommunicationStatus) {
        this.emsCommunicationStatus = emsCommunicationStatus;
    }

    public Date getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(Date dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public List<MeteDataDetailInfo> getMeteDataDetailInfo() {
        return meteDataDetailInfo;
    }

    public void setMeteDataDetailInfo(List<MeteDataDetailInfo> meteDataDetailInfo) {
        this.meteDataDetailInfo = meteDataDetailInfo;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
}
